// CMainDlg.h : header file
//

#if !defined(AFX_CMAINDLG_H__D816F8C6_FD3A_4467_9B0A_31997DF515EC__INCLUDED_)
#define AFX_CMAINDLG_H__D816F8C6_FD3A_4467_9B0A_31997DF515EC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMainDlg dialog

#include "OSerialPort.h"

class CMainDlg : public CDialog
{
// Construction
public:
	CMainDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMainDlg)
	enum { IDD = IDD_NIKYCOMPROGPIC16F873A_DIALOG };
	CRichEditCtrl	m_Edit1;
	CComboBox	m_Combo1;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//void WaitData(BYTE *Buf, int BufSz, int &ReadedSz, int TimeOut);
	void Prepare();
	void CopyBufferToEdit();
	BYTE GetByte(const char *Buf, int &Pos) const;
	void OpenHexFile(const char *Name);
	void OpenPort();
	HICON m_hIcon;

 int m_PortSelect;
 OSerialPort m_Port;

 BYTE m_Buffer[8192*2];
 BYTE m_VerifyBuffer[8192*2];

	// Generated message map functions
	//{{AFX_MSG(CMainDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnSelendokCombo1();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButtonSave();
	afx_msg void OnButtonTest();
	afx_msg void OnButtonStart();
	afx_msg void OnButtonUsercmd();
	afx_msg void OnCheck1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CMAINDLG_H__D816F8C6_FD3A_4467_9B0A_31997DF515EC__INCLUDED_)
