#if !defined(AFX_C_RELE_DLG_H__4FB82E6C_4B1F_4ED0_8110_83D1C7F032D9__INCLUDED_)
#define AFX_C_RELE_DLG_H__4FB82E6C_4B1F_4ED0_8110_83D1C7F032D9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// C_Rele_Dlg.h : header file
//

#include "OSerialPort.h"

/////////////////////////////////////////////////////////////////////////////
// CC_Rele_Dlg dialog

struct TPak
{
  DWORD T0;
  DWORD S;
  DWORD N;
  DWORD NNNNN; 
};


class CC_Rele_Dlg : public CDialog
{
// Construction
public:
	void CC_Rele_Dlg::OpenPort();
 void TM_Select(int i);
	int TM_ReadSlope();
	int TM_ReadCounter();
	double TM_GetTSuper(double &t2);
	BYTE TM_GetConfig();
	void TM_StopConvert();
	void TM_StartConvert();
	void TM_SetConfig(BYTE Code);
	int TM_ReadTCode();
	double CPU_FM2() const;
	double CPU_FM() const;
	TPak GetPack(int i) const;
	void AddPak(const TPak &Pak);
	void AddToStat(double FM, double FMF);
	double F_GetFM();
	bool F_Stop();
	bool F_StartNew();
	CC_Rele_Dlg(CWnd* pParent = NULL);   // standard constructor

 OSerialPort * m_pPort;

 int m_Stat;

 int m_N;
 double m_S;
 double m_D;

 DWORD m_V1, m_V2;

 TPak m_V;

 FILE * m_pF;

 TPak m_PakBuf[1024];
 int m_PakBuf_Pos;
 int m_PakBuf_Size;

 int m_NNNNN;


 int m_ErrorCount;
 bool m_IsError;

 bool m_TxAdd;

 int m_VentStat;

 int m_PortSelect;
 OSerialPort m_Port;

 int m_Y0;

// Dialog Data
	//{{AFX_DATA(CC_Rele_Dlg)
	enum { IDD = IDD_C_RELE_DLG_DIALOG };
	CComboBox	m_Combo1;
	CButton	m_Check2;
	CEdit	m_Edit2;
	CEdit	m_Edit1;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CC_Rele_Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CC_Rele_Dlg)
	afx_msg void OnButton1();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnButton4();
	afx_msg void OnButton3();
	afx_msg void OnTimer(UINT nIDEvent);
	virtual BOOL OnInitDialog();
	afx_msg void OnButton5();
	afx_msg void OnDestroy();
	afx_msg void OnPaint();
	afx_msg void OnButton6();
	afx_msg void OnButton7();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnButton8();
	afx_msg void OnButtonVent();
	afx_msg void OnSelendokCombo1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_C_RELE_DLG_H__4FB82E6C_4B1F_4ED0_8110_83D1C7F032D9__INCLUDED_)
