#ifndef MCON2_INCLUDED
#define MCON2_INCLUDED

#ifndef WINDOWS_H
#define WINDOWS_H
#include <windows.h>
#endif

class OCON
{ private:
       static HANDLE hCON;
       static char sCON[2048];
       static int NCONS;
  public:
       OCON(const char *tit);
       OCON(void);
       ~OCON();
       OCON& operator<<(const char &ch);
       OCON& operator<<(const signed char &ch);
       OCON& operator<<(const unsigned char &ch);
       OCON& operator<<(const int &i);
       OCON& operator<<(const unsigned int &i);
       OCON& operator<<(const short int &i);
       OCON& operator<<(const unsigned short int &i);
       OCON& operator<<(const char* s);
       OCON& operator<<(const double &d);
       OCON& operator<<(const void* p);
       OCON& operator<<(const DWORD &dd);
       OCON& operator<<(const bool &b);
  //private:
       void OUT_CON(void);
       void INIT(void);
};

#endif