// OSerialPort.h: interface for the OSerialPort class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_OSERIALPORT_H__890C130E_CB1B_4620_99A9_B38FE01CA578__INCLUDED_)
#define AFX_OSERIALPORT_H__890C130E_CB1B_4620_99A9_B38FE01CA578__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class OSerialPort  
{
public:
	int GetByteCount() const;
	void WriteData(const BYTE *Buf, int SzBuf);
	bool ReadData(BYTE *Buf, int BufSz, int &ReadedSz);
 void WaitData(BYTE *Buf, int BufSz, int &ReadedSz, int TimeOut);

	bool IsOpened() const;
	void SetRTS(bool On);
	void ClosePort();
	
 OSerialPort();
	virtual ~OSerialPort();
 bool OpenPort(int nPort);

 CString ErrStr;
 
protected:
 
 HANDLE m_hFile;
 DCB m_dcb; 
 
	OVERLAPPED m_ov;
	int m_IsOV;
	int m_Ov_nBuf;

	BYTE m_Buf[256*1024];

 int m_ByteCount;
};

#endif // !defined(AFX_OSERIALPORT_H__890C130E_CB1B_4620_99A9_B38FE01CA578__INCLUDED_)
