; ***********************************************************************
;         
;   22  2008  
; ******************************************

    list	 p=16F84a
	    
    #include p16f84a.inc
    
    __CONFIG _CP_OFF & _WDT_OFF & _PWRTE_ON & _HS_OSC
    
    RADIX dec
    
    EXPAND    
    
    ERRORLEVEL 0, -305, -302
    

    org 0   
    ;      
    goto USER_CODE_ENTRY_POINT
    nop
    nop
    nop
    return

    ; **********************************************************************
    ; **********************      ***********************
    ; **********************************************************************
    ;
    ; VENT_MINWORKTIME -   
    ;      6.71 
    ;
VENT_MINWORKTIME equ 50
    ;
IC2DataBit equ 2
IC2SyncBit equ 3
    ;
Termo1_Adr equ b'10010000'
Termo2_Adr equ b'10010010'    
    ;
    ;
    ;
    ;
    ;
    cblock 0xc

        ;   USERa
        ;
        IntProc_Temp1
        IntProc_Temp2
        Shim_ST;     
        ;
        SysTime0, SysTime1, SysTime2;      
        ;
        WaitST;  
        WaitST_SysT;  
        ;
        ;
        I2C_Adress
        I2C_DataByte
        I2C_OutBitST
        I2C_Error
        ;
        DS1621_Cmd
        DS1621_Byte0
        DS1621_Byte1
        ;
        Termo_OldStat;   
        Termo_OldTLo
        Termo_OldTHi
        Termo_OldCounter
        Termo_OldSlope
        Termo_StatNNN;     
        ;
        Termo_ReadValid_St
        ;Termo_Read_StHi
        ;
        Termo_T1_Error
        Termo_T1Lo
        Termo_T1Hi
        Termo_T2_Error
        Termo_T2Lo
        Termo_T2Hi
        ;
        Termo_dTLo
        Termo_dTHi
        Termo_Compare
        Termo_CompareOn_Count        
        ;
        WorkMode
        VentOnTime
        ;
        Kbrd_Stat
        Kbrd_PressT0
        Kbrd_PressT1
    endc
    ;
    ;
    ;
    ;
USER_CODE_ENTRY_POINT:
    ;
    clrf INTCON
    clrwdt
    bcf STATUS, RP0
	bcf STATUS, RP1
    movlw 2
    movwf PORTA
    movlw b'10100101'
    movwf PORTB
    ;
    bsf STATUS, RP0	
	movlw b'00010000' + (1<<IC2DataBit) + (1<<IC2SyncBit)
	movwf TRISA
    movlw 0
    movwf TRISB
    ;
    movlw b'11010111';  TMR0   WDT
    movwf OPTION_REG
    ;
    bcf STATUS, RP0	
    ;
    call I2C_Stop
    ;
    clrf Kbrd_Stat
    ;
    ;     
    clrf WorkMode
    ;
Loop_MainTermo:
    movlw Termo1_Adr
    movwf I2C_Adress
    call Termo_ReadValid
    movf I2C_Error, w
    movwf Termo_T1_Error
    movf Termo_OldTLo, w
    movwf Termo_T1Lo
    movf Termo_OldTHi, w
    addlw 0x80
    movwf Termo_T1Hi
    ;
    movlw Termo2_Adr
    movwf I2C_Adress
    call Termo_ReadValid
    movf I2C_Error, w
    movwf Termo_T2_Error
    movf Termo_OldTLo, w
    movwf Termo_T2Lo
    movf Termo_OldTHi, w
    addlw 0x80
    movwf Termo_T2Hi
    ;
    ;   ,   Termo_Compare
    ;
    bcf Termo_Compare,0
    bcf Termo_Compare,4
    bcf Termo_Compare,7
    ;
    movf Termo_T1_Error, w
    iorwf Termo_T2_Error, w
    btfss STATUS, Z
    goto Loop_MainTermo_ReadError
    ;
    ; 
    ;
    movf Termo_T1Lo, w
    movwf Termo_dTLo
    movf Termo_T1Hi, w
    movwf Termo_dTHi
    ;
    movf Termo_T2Lo, w;   Termo_dT = Termo_dT - Termo_T2
    subwf Termo_dTLo
    movf Termo_T2Hi, w
    btfss STATUS, C
    incfsz Termo_T2Hi, w
    subwf Termo_dTHi
    ;
    btfss STATUS, C
    goto Loop_MainTermo_CmpON
    ;
Loop_MainTermo_CmpOFF:
    clrf Termo_CompareOn_Count
    goto Loop_MainTermo_CmpCont
    ;
Loop_MainTermo_CmpON:
    ;  
    bsf Termo_Compare, 0
    ;
    comf Termo_dTLo
    comf Termo_dTHi
    incfsz Termo_dTLo
    goto $+2
    incf Termo_dTHi
    ;
    incf Termo_CompareOn_Count
    movf Termo_CompareOn_Count, w
    addlw -7
    btfss STATUS, C
    goto Loop_MainTermo_CmpCont
    ;
    ;    ,   
    decf Termo_CompareOn_Count   
    bsf Termo_Compare, 7    
    ;
Loop_MainTermo_CmpCont:
    ; 
    movlw 2; Hi- ,    
    subwf Termo_dTHi, w
    btfss STATUS, Z
    goto Loop_MainTermo_RegCont
    movlw 0; Lo- ,    
    subwf Termo_dTLo, w
Loop_MainTermo_RegCont:
    btfsc STATUS, C
    bsf Termo_Compare, 4
    goto Loop_MainTermo_Cont
    ;
    ;
Loop_MainTermo_ReadError:
    clrf Termo_CompareOn_Count    
    movf SysTime2, w
    addlw -250
    movwf VentOnTime    
    ;
Loop_MainTermo_Cont:
    btfss Termo_Compare, 4
    call Upr_Rez_On
    btfsc Termo_Compare, 4
    call Upr_Rez_Off
    ;
    btfsc WorkMode, 7
    goto Loop_MainTermo_KeyMode
    ;
    btfsc Termo_Compare, 7
    goto Loop_MainTermo_NotOn
    ;  
    call Upr_Vent_On
    movf SysTime2, w
    movwf VentOnTime
    goto Loop_MainTermo_Cont2
    ;
Loop_MainTermo_NotOn:        
    movf VentOnTime, w
    subwf SysTime2, w
    addlw -VENT_MINWORKTIME
    btfsc STATUS, C
    call Upr_Vent_Off;     
    goto Loop_MainTermo_Cont2
    ;
Loop_MainTermo_KeyMode:
    call Upr_Vent_Mode
    ;
Loop_MainTermo_Cont2:
    ;
    movlw 0xcd
    call Soft_Out    
    movf Termo_T1_Error, w
    call Soft_Out    
    movf Termo_T1Lo, w
    call Soft_Out    
    movf Termo_T1Hi, w
    addlw 0x80
    call Soft_Out    
    ;
    movf Termo_T2_Error, w
    call Soft_Out    
    movf Termo_T2Lo, w
    call Soft_Out    
    movf Termo_T2Hi, w
    addlw 0x80
    call Soft_Out  
    ;
    movf WorkMode, w
    call Soft_Out
    movf Termo_Compare, w
    call Soft_Out
    ;movf VentOnTime, w
    ;subwf SysTime2, w    
    ;call Soft_Out
    ;movf Termo_dTHi, w
    ;call Soft_Out
    ;movf Termo_dTLo, w
    ;call Soft_Out
    goto Loop_MainTermo   
    ;
    ;
    ;
    ;
    ;
    ;
    ;   
    ;      
    ;  (0),    W  (1)   I2C_Error
    ;
Termo_ReadValid:
    clrf Termo_ReadValid_St    
Termo_ReadValid_Loop:
    incf Termo_ReadValid_St  
    btfsc Termo_ReadValid_St, 5
    goto  Termo_ReadValid_Error    
    call Termo_OneRead
    movf Termo_StatNNN, w
    addlw -5
    btfss STATUS, C
    goto Termo_ReadValid_Loop
    ;
    ; ,      
    ;
    btfss Termo_OldStat, 7;  ,    
    goto Termo_ReadValid_OK
    ; 
    movlw 0xAC
    movwf DS1621_Cmd
    movlw b'00001000'
    movwf DS1621_Byte0
    call DS1621_Out2
    movlw 0xEE
    movwf DS1621_Cmd
    call DS1621_Out1    
    ;
    ;movlw 0xcd
    ;call Usart_Out    
    ;movlw 0xec
    ;call Usart_Out    
    ;movf I2C_Error, w
    ;call Usart_Out    
    ;movf Termo_OldStat, w
    ;call Usart_Out    
    ;movf Termo_OldTLo, w
    ;call Usart_Out    
    ;movf Termo_OldTHi, w
    ;call Usart_Out    
    ;movf Termo_OldCounter, w
    ;call Usart_Out    
    ;movf Termo_OldSlope, w
    ;call Usart_Out    
    ;movf Termo_StatNNN, w
    ;call Usart_Out    
    ;
Termo_ReadValid_OK:
    call Termo_Div;        
    clrf Termo_StatNNN;    - 
    clrf I2C_Error
    retlw 0
    ;
Termo_ReadValid_Error:
    bsf I2C_Error, 7      
    retlw 1    
    ; 
    ;     
    ; I2C_Adress     
    ;
Termo_OneRead:
    incf Termo_StatNNN
    clrf I2C_Error  
    ;   
    movlw 0xAC
    movwf DS1621_Cmd
    call DS1621_In1
    movf DS1621_Byte0, w
    xorwf Termo_OldStat, w
    xorwf Termo_OldStat
    andlw b'10001111'
    btfss STATUS, Z
    clrf Termo_StatNNN
    ;   
    movlw 0xAA
    movwf DS1621_Cmd
    call DS1621_In2
    movf DS1621_Byte0, w
    xorwf Termo_OldTHi, w
    btfss STATUS, Z
    clrf Termo_StatNNN
    xorwf Termo_OldTHi
    movf DS1621_Byte1, w
    xorwf Termo_OldTLo, w
    btfss STATUS, Z
    clrf Termo_StatNNN
    xorwf Termo_OldTLo
    ;   Counter
    movlw 0xA8
    movwf DS1621_Cmd
    call DS1621_In1
    movf DS1621_Byte0, w
    xorwf Termo_OldCounter, w
    btfss STATUS, Z
    clrf Termo_StatNNN
    xorwf Termo_OldCounter
    ;   Slope
    movlw 0xA9
    movwf DS1621_Cmd
    call DS1621_In1
    movf DS1621_Byte0, w
    xorwf Termo_OldSlope, w
    btfss STATUS, Z
    clrf Termo_StatNNN
    xorwf Termo_OldSlope
    ;
    ;     
    movf Termo_OldTLo, w
    andlw 0x7f
    btfss STATUS, Z
    clrf Termo_StatNNN
    btfsc Termo_OldSlope, 7
    clrf Termo_StatNNN
    movf Termo_OldCounter, w
    btfsc STATUS, Z
    clrf Termo_StatNNN
    subwf Termo_OldSlope, w
    btfss STATUS, C
    clrf Termo_StatNNN
    ;
    movf I2C_Error, w
    btfss STATUS, Z
    clrf Termo_StatNNN
    ;
    ;movlw 0xcd
    ;call Usart_Out    
    ;movlw 0xed
    ;call Usart_Out    
    ;movf I2C_Error, w
    ;call Usart_Out    
    ;movf Termo_OldStat, w
    ;call Usart_Out    
    ;movf Termo_OldTLo, w
    ;call Usart_Out    
    ;movf Termo_OldTHi, w
    ;call Usart_Out    
    ;movf Termo_OldCounter, w
    ;call Usart_Out    
    ;movf Termo_OldSlope, w
    ;call Usart_Out    
    ;movf Termo_StatNNN, w
    ;call Usart_Out    
    return
    ;
    ;   
    ; : Termo_OldTLo = (Termo_OldSlope-Termo_OldCounter)/Slope
Termo_Div:
    movf Termo_OldCounter, w
    subwf Termo_OldSlope, w
    movwf I2C_DataByte
    movlw 8
    movwf I2C_OutBitST    
Termo_DivLoop:
    bcf STATUS, C
    rlf I2C_DataByte
    movf Termo_OldSlope, w
    subwf I2C_DataByte, w
    btfss STATUS, C
    goto Termo_DivLoopNot
    movwf I2C_DataByte
Termo_DivLoopNot:
    rlf Termo_OldTLo
    decfsz I2C_OutBitST
    goto Termo_DivLoop
    return    
    ;
    ;
    ;
    ;
    ;
    ;
DS1621_Out1:
    call I2C_Start
    movf I2C_Adress, w
    call I2C_Out
    movf DS1621_Cmd, w 
    call I2C_Out
    goto I2C_Stop
    ;
DS1621_Out2:
    call I2C_Start
    movf I2C_Adress, w    
    call I2C_Out
    movf DS1621_Cmd, w 
    call I2C_Out
    movf DS1621_Byte0, w 
    call I2C_Out
    goto I2C_Stop
    ;
    ;
DS1621_Out3:
    call I2C_Start
    movf I2C_Adress, w
    call I2C_Out
    movf DS1621_Cmd, w 
    call I2C_Out
    movf DS1621_Byte0, w 
    call I2C_Out
    movf DS1621_Byte1, w 
    call I2C_Out
    goto I2C_Stop
    ;
    ;
DS1621_In1:
    call I2C_Start
    movf I2C_Adress, w    
    call I2C_Out
    movf DS1621_Cmd, w 
    call I2C_Out
    ;
    call I2C_RepStart;   
    movf I2C_Adress, w
    iorlw 1
    call I2C_Out;      
    ;
    call I2C_Input
    call I2C_Input_NAsk
    movf I2C_DataByte, w
    movwf DS1621_Byte0
    goto I2C_Stop
    ;
DS1621_In2:
    call I2C_Start
    movf I2C_Adress, w    
    call I2C_Out
    movf DS1621_Cmd, w 
    call I2C_Out
    ;
    call I2C_RepStart;   
    movf I2C_Adress, w
    iorlw 1
    call I2C_Out;       
    ;
    call I2C_Input
    call I2C_Input_Ask
    movf I2C_DataByte, w
    movwf DS1621_Byte0
    ;
    call I2C_Input
    call I2C_Input_NAsk
    movf I2C_DataByte, w
    movwf DS1621_Byte1
    goto I2C_Stop
    ;
    ;
    ;
    ;   
    ;
I2C_Start:
    call Kbrd_Sup
    call ShowStatus
    call I2C_SCL_Hi
    call I2C_SDA_Hi
    call I2C_Wait
    call I2C_SDA_Lo
    goto I2C_Wait
    ;
I2C_Stop:
    call I2C_SCL_Lo
    call I2C_Wait
    call I2C_SDA_Lo
    call I2C_Wait
    call I2C_SCL_Hi
    call I2C_Wait
    call I2C_SDA_Hi
    goto I2C_Wait
    ;
I2C_RepStart:
    call I2C_SCL_Lo
    call I2C_Wait
    call I2C_SDA_Hi
    call I2C_Wait
    call I2C_SCL_Hi
    call I2C_Wait
    call I2C_SDA_Lo
    goto I2C_Wait
    ;
I2C_Out:  ;   w -  
    movwf I2C_DataByte
    movlw 9
    movwf I2C_OutBitST
    ;
I2C_Out_OutBit:
    call I2C_SCL_Lo
    call I2C_Wait
    ;
    rlf I2C_DataByte, w;         SDA    
    bsf STATUS, RP0;         
	btfsc STATUS, C
    bsf TRISA, IC2DataBit
	btfss STATUS, C
    bcf TRISA, IC2DataBit
    bcf STATUS, RP0	
    call I2C_Wait
    ;
    call I2C_SCL_Hi;            SCL  	
    call I2C_Wait
    ;
    ;   ,      
    bcf STATUS, C
    btfsc PORTA, IC2DataBit
    bsf STATUS, C
    rrf I2C_DataByte, w
    xorwf I2C_DataByte, w
    andlw 0x80
    btfss STATUS, Z
    goto I2C_Out_NoData
    ;
    ;    
    bsf STATUS, C
    rlf I2C_DataByte
    decfsz I2C_OutBitST
    goto I2C_Out_OutBit
    ; 
    ; ,  9-    , .. ACK 
    bsf I2C_Error, 0
    return;
    ;
    ;
I2C_Out_NoData:
    decfsz I2C_OutBitST
    goto I2C_Out_Error
    ; ,   
    return
    ;
I2C_Out_Error:
    ;  ,      
    bsf I2C_Error, 1
    return;
    ;
    ;
I2C_Input:
    movlw 8
    movwf I2C_OutBitST
    ;
I2C_Input_InBit:
    call I2C_SCL_Lo;         
    call I2C_Wait
    call I2C_SDA_Hi;         
    call I2C_Wait
    call I2C_SCL_Hi;         
    call I2C_Wait
    ;
    bcf STATUS, C;             
    btfsc PORTA, IC2DataBit
    bsf STATUS, C
    rlf I2C_DataByte
    ;
    decfsz I2C_OutBitST
    goto I2C_Input_InBit
    return
    ;
    ;    
I2C_Input_Ask:
    call I2C_SCL_Lo
    call I2C_Wait
    call I2C_SDA_Lo
    call I2C_Wait
    call I2C_SCL_Hi
    goto I2C_Wait
    ;
I2C_Input_NAsk:
    call I2C_SCL_Lo
    call I2C_Wait
    call I2C_SDA_Hi
    call I2C_Wait
    call I2C_SCL_Hi
    goto I2C_Wait
    ;
    ;
I2C_SCL_Lo:
    bsf STATUS, RP0;            SCL
	bcf TRISA, IC2SyncBit
    bcf STATUS, RP0	
    return
I2C_SCL_Hi:
    bsf STATUS, RP0;            SCL
	bsf TRISA, IC2SyncBit
    bcf STATUS, RP0	
    return
I2C_SDA_Lo:
    bsf STATUS, RP0	
	bcf TRISA, IC2DataBit
	bcf STATUS, RP0
    return	
I2C_SDA_Hi:
    bsf STATUS, RP0	
	bsf TRISA, IC2DataBit
	bcf STATUS, RP0
    return	
    ;
    ;
I2C_Wait:
    movlw 33
I2C_Wait_L1: 
    addlw 0xff
    btfss STATUS, Z
    goto I2C_Wait_L1
    return
    ;
    ;
    ;
USER_CODE_IRQ:
    bcf INTCON, T0IF
    movwf IntProc_Temp1
    swapf IntProc_Temp1
    swapf STATUS, w
    bcf STATUS, RP0    
    bcf STATUS, RP1    
    movwf IntProc_Temp2
    incf Shim_ST
    incf Shim_ST
    swapf IntProc_Temp2, w
    movwf STATUS
    swapf IntProc_Temp1, w
    retfie
    ;
    ;
    ;
Kbrd_Sup:
    btfsc PORTA, 4
    goto Kbrd_No
    btfss Kbrd_Stat, 0
    goto Kbrd_First    
    ;
    ;movf Kbrd_PressT0, w
    ;subwf SysTime0, w
    ;addlw -195
    movf Kbrd_PressT1, w
    subwf SysTime1, w
    addlw -3
    btfsc STATUS, C
    bsf Kbrd_Stat, 7; ,   20 
    movf Kbrd_PressT1, w
    subwf SysTime1, w
    addlw -38
    btfss STATUS, C
    goto SysTime_Update
    btfsc Kbrd_Stat, 4
    goto SysTime_Update
    bsf Kbrd_Stat, 4; ,   1 
    movf WorkMode, w    
    iorlw 0x80
    xorlw 1
    movwf WorkMode
    call Upr_Vent_Mode
    goto SysTime_Update
    ;
Kbrd_First:
    bsf Kbrd_Stat, 0;    
    movf SysTime0, w
    movwf Kbrd_PressT0
    movf SysTime1, w
    movwf Kbrd_PressT1
    goto SysTime_Update
    ;
Kbrd_No:
    btfss Kbrd_Stat, 7
    goto Kbrd_No_Clr
    btfsc Kbrd_Stat, 4
    goto Kbrd_No_Clr
    ;
    ;     
    movf WorkMode, w
    andlw 0xff - 0x80
    movwf WorkMode
    movf SysTime2, w
    addlw -250
    movwf VentOnTime    
    ;    
Kbrd_No_Clr:    
    clrf Kbrd_Stat
    goto SysTime_Update
    ;    
    ;
    ;
SysTime_Update:
    movf SysTime0,w
    subwf TMR0, w
    addwf SysTime0
    btfss STATUS, C
    return
    incfsz SysTime1
    return         
    incf SysTime2
    return
    ;
    ;
    ;
ShowStatus:
    movf Termo_T1_Error, w
    iorwf Termo_T2_Error, w
    btfss STATUS, Z
    goto ShowStatus_Error
    ;
    movf SysTime1, w
    btfss WorkMode, 7
    andlw 255
    btfsc WorkMode, 7
    andlw 31
    btfss STATUS, Z
    movlw 1
    xorwf Termo_Compare, w
    andlw 1
    btfsc STATUS, Z
    bcf PORTB, 5
    btfss STATUS, Z
    bsf PORTB, 5
    return    
    ;
ShowStatus_Error:    
    clrw 
    btfss SysTime1, 4
    movlw 1
    andlw 1
    btfsc STATUS, Z
    bcf PORTB, 5
    btfss STATUS, Z
    bsf PORTB, 5
    return
    ;
Upr_Vent_Mode:
    btfss WorkMode, 0
    goto Upr_Vent_Off
Upr_Vent_On:
    bsf Termo_Compare, 5
    bsf PORTB, 4
    return
Upr_Vent_Off:
    bcf Termo_Compare, 5
    bcf PORTB, 4
    return
    ;
Upr_Rez_On:
    bsf PORTB, 3
    return
Upr_Rez_Off:
    bcf PORTB, 3
    return    
    ;   
Soft_Out:
    movwf I2C_DataByte
    movlw 8
    movwf I2C_OutBitST
    bsf PORTB, 7
    call Soft_Out_Delya    
Soft_Out_L1: 
    rrf I2C_DataByte
    btfsc STATUS, C
    bcf PORTB, 7
    btfss STATUS, C
    bsf PORTB, 7
    call Soft_Out_Delya    
    decfsz I2C_OutBitST
    goto Soft_Out_L1
    bcf PORTB, 7
    ;    
Soft_Out_Delya:
    ;movlw 8;  57600     
    movlw 127;  4800     
Soft_Out_Delya_L1: 
    addlw 0xff
    btfss STATUS, Z
    goto Soft_Out_Delya_L1
    return
    ;
    ; **********************************************************************
    ;
KeyToKeyWait:
    movlw 255
    movwf WaitST
KeyToKeyWaitL1:
    clrw
KeyToKeyWaitL2:
    addlw 0xff
    btfss STATUS, Z
    goto KeyToKeyWaitL2
    decfsz WaitST
    goto KeyToKeyWaitL1
    return
    ;   
    
    ;
    ;
    ;
    ;
    END 
