// CMainDlg.cpp : implementation file
//

#include "stdafx.h"
#include "NikyComProgPic16F873A.h"
#include "CMainDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


#include "TDA7313Dlg.h"

#include "C_Rele_Dlg.h"

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMainDlg dialog

CMainDlg::CMainDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMainDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMainDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CMainDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMainDlg)
	DDX_Control(pDX, IDC_RICHEDIT1, m_Edit1);
	DDX_Control(pDX, IDC_COMBO1, m_Combo1);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CMainDlg, CDialog)
	//{{AFX_MSG_MAP(CMainDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_CBN_SELENDOK(IDC_COMBO1, OnSelendokCombo1)
	ON_WM_TIMER()
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	ON_BN_CLICKED(IDC_BUTTON_SAVE, OnButtonSave)
	ON_BN_CLICKED(IDC_BUTTON_TEST, OnButtonTest)
	ON_BN_CLICKED(IDC_BUTTON_START, OnButtonStart)
	ON_BN_CLICKED(IDC_BUTTON_USERCMD, OnButtonUsercmd)
	ON_BN_CLICKED(IDC_CHECK1, OnCheck1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/*
void CMainDlg::WaitData(BYTE *Buf, int BufSz, int &ReadedSz, int TimeOut)
{
  if (ReadedSz>=BufSz) return;    
  ReadedSz = 0;
  do
  {
    int rd = 0;
    m_Port.ReadData(Buf+ReadedSz, BufSz - ReadedSz, rd);
    ReadedSz += rd;
    if (ReadedSz>=BufSz) break;
    if (TimeOut<=0) break;
    Sleep(1);     
    TimeOut-=1;
  } while (true);
}; */

/////////////////////////////////////////////////////////////////////////////
// CMainDlg message handlers

BOOL CMainDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

 FOR (int i=0; i<4096*2; i+=2)
 {
   m_Buffer[i] = 0xff;
   m_Buffer[i+1] = 0x3f;
 };
 CopyMemory(m_VerifyBuffer, m_Buffer, sizeof(m_VerifyBuffer));

 CopyBufferToEdit();

 m_Combo1.ResetContent();
 m_Combo1.AddString(" ");
 FOR (int i=1; i<=16; i++)
 {
   CString s;
   s.Format("COM%d", i);
   m_Combo1.AddString(s);
 };

 m_PortSelect = AfxGetApp()->GetProfileInt("Options", "m_PortSelect", 0);
 m_Combo1.SetCurSel(m_PortSelect);
	OpenPort();

	 /*
  for (int i=0; i<1000; i++)
  {
    BYTE B[1];
    B[0] = 0xcd;
    m_Port.WriteData(B, 1);
    Sleep(1);
  }; */

 OnButtonUsercmd();

 SetTimer(1, 100, NULL);

 //OnButtonUsercmd();

 return TRUE;  // return TRUE  unless you set the focus to a control
};

void CMainDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CMainDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CMainDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CMainDlg::OnCancel() 
{
	// TODO: Add extra cleanup here
	
	CDialog::OnCancel();
}

void CMainDlg::OnOK() 
{
	// TODO: Add extra validation here
	
	CDialog::OnOK();
}

void CMainDlg::OnSelendokCombo1() 
{
  m_PortSelect = m_Combo1.GetCurSel();	
  AfxGetApp()->WriteProfileInt("Options", "m_PortSelect", m_PortSelect);
  OpenPort();
};

void CMainDlg::OpenPort()
{
  m_Port.ClosePort();
  int PortSelect = m_PortSelect;
  bool IsOpen = !PortSelect || m_Port.OpenPort(PortSelect);
  if (!IsOpen)
  {
     m_PortSelect = 0;
     m_Combo1.SetCurSel(0);	
     MessageBox((const char *) m_Port.ErrStr, "", MB_OK | MB_ICONSTOP);
  };
};

void CMainDlg::OnTimer(UINT nIDEvent) 
{
  if (nIDEvent == 10) //  
  {
     BYTE B[1];
     B[0] = 0xcd;
     m_Port.WriteData(B, sizeof(B));
     return;
  };

  //return;
  if (nIDEvent==1)
  {
    BYTE Buf[8192];
    int ReadedSz = 0;
    m_Port.ReadData(Buf, sizeof(Buf), ReadedSz);
    if (ReadedSz>0)
    {
      Con<<" "<<ReadedSz<<" : ";
      int N = ReadedSz; if (N>12) N = 12;
      for (int i=0; i<N; i++)
      {
        CString s;
        s.Format("%02x", Buf[i]);
        Con<<s;
        if (i!=N-1) Con<<", ";
      };
      if (N != ReadedSz) Con<<", ...";
      Con<<"\n";
    };
  };
};

void CMainDlg::OnButton1() 
{
  char Initdir[32000];
  lstrcpy(Initdir, AfxGetApp()->GetProfileString("OPEN", "PATH", "d:\\data"));

  OPENFILENAME ofn;
  ZeroMemory(&ofn,sizeof(ofn));
  ofn.lStructSize=sizeof(OPENFILENAME);
  ofn.hwndOwner=*this;
  ofn.hInstance=NULL;
  ofn.lpstrFilter="HEX -  (*.hex)\0*.hex\0  (*.*)\0*.*\0";
  ofn.lpstrCustomFilter=NULL;
  ofn.nMaxCustFilter=0;
  ofn.nFilterIndex=0;
  char newname[32000]; *newname=0;
  ofn.lpstrFile=newname;
  ofn.nMaxFile=sizeof(newname)/sizeof(*newname);
  ofn.lpstrFileTitle=NULL;
  ofn.nMaxFileTitle=0;
  ofn.lpstrInitialDir = Initdir;
  ofn.lpstrTitle="    ";
  ofn.Flags=OFN_EXPLORER | OFN_PATHMUSTEXIST | OFN_FILEMUSTEXIST | OFN_HIDEREADONLY;
  ofn.lpstrDefExt="hex";  
  BOOL Is = ::GetOpenFileName(&ofn);  
  if (!Is) return;

  newname[ofn.nFileOffset-1] = 0;
  CString m_FilePath = newname;
  AfxGetApp()->WriteProfileString("OPEN", "PATH", m_FilePath);
  
  newname[ofn.nFileOffset-1] = '\\';

  OpenHexFile(newname);
  CopyBufferToEdit();
};

void CMainDlg::OpenHexFile(const char *Name)
{
  Con<<"  \n";

  FILE *pF = fopen(Name, "r");

  int RdN = 0;

  while (!feof(pF))
  {
     char s[8192];
     fgets(s, sizeof(s), pF);
     if (s[0] != ':')  continue;
     int p = 1;
     int sz = GetByte(s, p);

     BYTE Adr1 = GetByte(s, p);
     BYTE Adr0 = GetByte(s, p);
     int Adr = Adr0 + (Adr1<<8);

     BYTE type = GetByte(s, p);

     if (type != 0) continue;

     if (Adr<0 || Adr>=4096*2) 
     {
       Con<<"Adr = "<<(void *)Adr<<"  , sz = "<<sz<<"\n";
       continue;
     };
     
     for (int i=0; i<sz; i++)
     {
       if (Adr+i>=4096*2) 
       {
         Con<<"Adr = "<<(void *)(Adr+i)<<"   \n";
       };
      
       m_Buffer[Adr+i] = GetByte(s, p);            
       RdN ++;
     };
  };

  Con<<" "<<RdN<<"  \n";

  fclose(pF);
};

BYTE CMainDlg::GetByte(const char *Buf, int &Pos) const
{
   char ch1 = Buf[Pos];
   char ch2 = Buf[Pos+1];
   Pos+=2;

   ch1 = (char) CharUpper((char *)BYTE(ch1));
   ch2 = (char) CharUpper((char *)BYTE(ch2));

   if ((ch1<'0' || ch1>'9') && (ch1<'A' || ch1>'F')) return 0xff;
   if ((ch2<'0' || ch2>'9') && (ch2<'A' || ch2>'F')) return 0xff;
   
   ch1 -= '0';
   if (ch1>=10) ch1 = ch1 + '0' - 'A' + 10;
   
   ch2 -= '0';
   if (ch2>=10) ch2 = ch2 + '0' - 'A' + 10;
   
   return ch1*16 + ch2;
};

void CMainDlg::CopyBufferToEdit()
{
  CString Tx;
  for (int a=0; a<4096*2; )
  {
    CString s;
    s.Format("%04X    ", a);
    Tx += s;
    for (int i=0; i<16; i+=2)
    {
      CString s;
      s.Format("%02x%02x  ", (int)m_Buffer[a+1], (int)m_Buffer[a]);
      a+=2;
      Tx += s;
    };
    Tx+="\15\12";
  };
  
  CHARFORMAT cf; ZeroMemory(&cf, sizeof(cf));
  cf.cbSize = sizeof(cf);
  cf.dwMask = CFM_COLOR | CFM_FACE | CFM_SIZE;
  cf.crTextColor = RGB(0,0,0);
  cf.yHeight = 11*20;
  lstrcpy(cf.szFaceName, "Courier New");
  m_Edit1.SetDefaultCharFormat(cf);

  m_Edit1.SetWindowText(Tx);

  Tx = "";
  FOR (int a=0; a<4096*2; )
  {
    CString s;
    s.Format("%04X    ", a);
    Tx += s;
    for (int i=0; i<16; i+=2)
    {
      CString s;
      s.Format("%02x%02x  ", (int)m_Buffer[a+1], (int)m_Buffer[a]);
      if (m_Buffer[a+1] != m_VerifyBuffer[a+1] || m_Buffer[a] != m_VerifyBuffer[a])
      {
        int p1 = Tx.GetLength();
        int p2 = p1+s.GetLength();
        m_Edit1.SetSel(p1, p2);
        CHARFORMAT cf; ZeroMemory(&cf, sizeof(cf));
        cf.cbSize = sizeof(cf);
        cf.dwMask = CFM_COLOR | CFM_BOLD;
        cf.dwEffects = CFE_BOLD;
        cf.crTextColor = RGB(0,0,255);
        m_Edit1.SetSelectionCharFormat(cf);
      };
      Tx += s;      
      a+=2;      
    };
    Tx+="\15\12";
  };

};

void CMainDlg::Prepare()
{
  BYTE Buf[8192];
  int ReadedSz = 0;
  m_Port.ReadData(Buf, sizeof(Buf), ReadedSz);

  BYTE B[1];
  B[0] = 0xcd;
  m_Port.WriteData(B, sizeof(B));
  Sleep(10);
  m_Port.ReadData(Buf, sizeof(Buf), ReadedSz);
  B[0] = 0;
  m_Port.WriteData(B, sizeof(B));

};

void CMainDlg::OnButton2() 
{
  Prepare();

  for (int i=0; i<4096; i++)
  {
    BYTE B[4];
    B[0] = 0xcd;
    B[1] = 0xe6;
    B[2] = i;
    B[3] = i>>8;
    m_Port.WriteData(B, sizeof(B));
  
    BYTE In[2];
    int RdSz = 0;
    m_Port.WaitData(In, sizeof(In), RdSz, 100);
    if (RdSz != 2) 
    {
      MessageBox("   !", "", MB_OK | MB_ICONSTOP);
      return;
    };

    m_Buffer[i+i] = In[0];
    m_Buffer[i+i+1] = In[0+1];
  };

  CopyBufferToEdit();
};


void CMainDlg::OnButtonTest() 
{
  Prepare();

  for (int i=0; i<4096; i++)
  {
    BYTE B[4];
    B[0] = 0xcd;
    B[1] = 0xe6;
    B[2] = i;
    B[3] = i>>8;
    m_Port.WriteData(B, sizeof(B));
  
    BYTE In[2];
    int RdSz = 0;
    m_Port.WaitData(In, sizeof(In), RdSz, 100);
    if (RdSz != 2) 
    {
      MessageBox("   !", "", MB_OK | MB_ICONSTOP);
      return;
    };

    m_VerifyBuffer[i+i] = In[0];
    m_VerifyBuffer[i+i+1] = In[0+1];
  };

  CopyBufferToEdit();

  FOR (int i=0; i<4096*2; i++)
  {
    if (m_Buffer[i] != m_VerifyBuffer[i]) 
    {
      Con<<"i = "<<i<<"\n";
      MessageBox("  ", "", MB_OK | MB_ICONSTOP);
      return;
    };
  };
  
  MessageBox("  ,   !", "", MB_OK | MB_ICONEXCLAMATION);
};

void CMainDlg::OnButtonSave() 
{
  Con<<"  \n";
  Prepare();

  int N_All = 0;
  int N_EE = 0;

  for (int i=0; i<4096; i++)
  {
    BYTE B[6];
    B[0] = 0xcd;
    B[1] = 0xe7;
    B[2] = i;
    B[3] = i>>8;
    B[4] = m_Buffer[i+i];
    B[5] = m_Buffer[i+i+1];
    m_Port.WriteData(B, sizeof(B));
    N_All++;

    BYTE In[1];
    int RdSz = 0;
    m_Port.WaitData(In, sizeof(In), RdSz, 100);
    if (RdSz != 1) 
    {
      MessageBox("   !", "", MB_OK | MB_ICONSTOP);
      return;
    };
    if (In[0] != 0xAA && In[0] != 0xEE)
    {
      MessageBox("   -   !", "", MB_OK | MB_ICONSTOP);
      return;
    };
    if (In[0] == 0xEE) N_EE++;
  };
  Con<<" ,   = "<<N_All<<"    = "<<N_EE<<"\n";

  Con<<"  \n";
  
  OnButtonTest();
};

void CMainDlg::OnButtonStart() 
{
  Prepare();
 
  BYTE B[2];
  B[0] = 0xcd;
  B[1] = 0xeb;
  m_Port.WriteData(B, sizeof(B));

  for (int i=0; i<100; i++)
  {
    B[0] = 0xcd;
    m_Port.WriteData(B, 1);
    Sleep(1);
  };

};

void CMainDlg::OnButtonUsercmd() 
{
  //CTDA7313Dlg Dlg;
  //Dlg.m_pPort = &m_Port;
  //Dlg.DoModal();
  //return;

  CC_Rele_Dlg Dlg(GetParent());
  Dlg.m_pPort = &m_Port;
  Dlg.DoModal();
  return;


  BYTE B[8];
  B[0] = 0x0;
  
  B[1] = (4<<5) + 0x00;
  B[2] = (5<<5) + 0x00;
  B[3] = (6<<5) + 0x00;
  B[4] = (7<<5) + 0x00;
  
  B[5] = (2<<5) + 2;

  B[6] = (6<<4) + 0;
  B[7] = (7<<4) + 0;

  //m_Port.WriteData(B, sizeof(B));
  for (int i=0; i<sizeof(B); i++)
  {
    m_Port.WriteData(B+i, 1);
    Sleep(20);
  };

};



void CMainDlg::OnCheck1() 
{
  BOOL Is = ((CButton *)GetDlgItem(IDC_CHECK1))->GetCheck();
  
  if (Is)
  {
    SetTimer(10, 1, NULL);
  }
  else
  {
    KillTimer(10);
  }
};

