// C_Rele_Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "NikyComProgPic16F873A.h"
#include "C_Rele_Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#include <Math.h>

#include <mmsystem.h>

#pragma comment(lib, "Winmm.lib") 

const double POROG = -2.0/4/4;

/////////////////////////////////////////////////////////////////////////////
// CC_Rele_Dlg dialog


CC_Rele_Dlg::CC_Rele_Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CC_Rele_Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CC_Rele_Dlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CC_Rele_Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CC_Rele_Dlg)
	DDX_Control(pDX, IDC_COMBO1, m_Combo1);
	DDX_Control(pDX, IDC_CHECK2, m_Check2);
	DDX_Control(pDX, IDC_EDIT2, m_Edit2);
	DDX_Control(pDX, IDC_EDIT1, m_Edit1);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CC_Rele_Dlg, CDialog)
	//{{AFX_MSG_MAP(CC_Rele_Dlg)
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	ON_BN_CLICKED(IDC_BUTTON4, OnButton4)
	ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
	ON_WM_TIMER()
	ON_BN_CLICKED(IDC_BUTTON5, OnButton5)
	ON_WM_DESTROY()
	ON_WM_PAINT()
	ON_BN_CLICKED(IDC_BUTTON6, OnButton6)
	ON_BN_CLICKED(IDC_BUTTON7, OnButton7)
	ON_WM_SIZE()
	ON_BN_CLICKED(IDC_BUTTON8, OnButton8)
	ON_BN_CLICKED(IDC_BUTTON_VENT, OnButtonVent)
	ON_CBN_SELENDOK(IDC_COMBO1, OnSelendokCombo1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CC_Rele_Dlg message handlers

static double DBuf[900000];

static double FBuf[900000];
static int FBuf_Sz = 0;

const int LBufSz = 20*10;
static double LBuf[LBufSz];
static int LBufPos = 0;
static double LBufS = 0;

void CC_Rele_Dlg::OnOK() 
{
	CDialog::OnOK();
};

void CC_Rele_Dlg::OnCancel() 
{
	CDialog::OnCancel();
};

void CC_Rele_Dlg::OpenPort()
{
  m_Port.ClosePort();
  int PortSelect = m_PortSelect;
  bool IsOpen = !PortSelect || m_Port.OpenPort(PortSelect);
  if (!IsOpen)
  {
     m_PortSelect = 0;
     m_Combo1.SetCurSel(0);	
     MessageBox((const char *) m_Port.ErrStr, "", MB_OK | MB_ICONSTOP);
  };
};


void CC_Rele_Dlg::OnButton1() 
{
  
  {
    BYTE B[] = {0x80};
    m_pPort->WriteData(B, sizeof(B));  
  };
  
  TM_SetConfig(8+1);
  TM_StartConvert();
  return;

  {
    BYTE B[] = {0x2, 0xac, 8+1};
    m_pPort->WriteData(B, sizeof(B));  
  };
  Sleep(10);
  {
    BYTE B[] = {0x1, 0xee};
    m_pPort->WriteData(B, sizeof(B));  
  };
};



void CC_Rele_Dlg::OnButton3() 
{
  {
    BYTE B[] = {0x81};
    m_pPort->WriteData(B, sizeof(B));  
  };
  
  TM_SetConfig(8+1);

  TM_StartConvert();
  return;

  int t = TM_ReadTCode();
  Con<<"t = "<<double(t)/256<<"\n";
  return;

  {
    Con<<"  \n";
    BYTE B[] = {0x11, 0xac};
    m_pPort->WriteData(B, sizeof(B));  
    Sleep(5);
  };
  
  {
    Con<<"  \n";
    BYTE B[] = {0x12, 0xac};
    m_pPort->WriteData(B, sizeof(B));  
    Sleep(5);
  };

  {
    Con<<"Read Counter  \n";
    BYTE B[] = {0x11, 0xa8};
    m_pPort->WriteData(B, sizeof(B));  
    Sleep(5);
  };

  {
    Con<<"Read Slope  \n";
    BYTE B[] = {0x11, 0xa9};
    m_pPort->WriteData(B, sizeof(B));  
    Sleep(5);
  };

  Con<<"\n\n";

  /*
  BYTE B[] = {0x3, 0xA1, 0x53, 0x85};
  m_pPort->WriteData(B, sizeof(B));    
  return;

  {
    BYTE B[] = {0x2, 0xAC, 8};
    m_pPort->WriteData(B, sizeof(B));    
  };

  {
    Sleep(10);
    BYTE B[] = {0x11, 0xAC};
    m_pPort->WriteData(B, sizeof(B));  
  }; */ 
};

void CC_Rele_Dlg::OnButton4() 
{
  BYTE B[] = {0x12, 0xA1};
  m_pPort->WriteData(B, sizeof(B));    
  return;

  {
    Sleep(10);
    BYTE B[] = {0x11, 0xAC};
    m_pPort->WriteData(B, sizeof(B));  
  };
  return;
  //BYTE B = 0x12;
  //m_pPort->WriteData(&B, sizeof(B));  
};

BOOL CC_Rele_Dlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
 WINDOWPLACEMENT wp;
 ZeroMemory(&wp, sizeof(wp));
 wp.length = sizeof(wp);
 GetDlgItem(IDC_STATIC_FRAME)->GetWindowPlacement(&wp);
 m_Y0 = wp.rcNormalPosition.top;
 

 /*do 
 {
   static int iii = 0; iii++;
   do 
   {
     BYTE b;
     int RdSz = 0;
     m_pPort->WaitData(&b, 1, RdSz, 100);
     if (RdSz == 1 && b==0xcd) break;
   } while(true);
   
   BYTE b = 0xeb;;
   //int RdSz = 0;
   //m_pPort->WaitData(&b, 1, RdSz, 10);
   //if (RdSz != 1 || (b!=0xeb && b!=0xec && b!=0xed)) continue;
  
   BYTE Data[6];
   int RdSz = 0;
   m_pPort->WaitData(Data, sizeof(Data), RdSz, 10);
   if (RdSz != sizeof(Data)) continue;
   
   if (b==0xed) continue;

   if (b==0xeb) Con<<"  ";
   if (b==0xec) Con<<"  ";
   if (b==0xed) Con<<"     ";

   for (int i=0; i<6; i++)
   {
     CString s;
     s.Format("%02x", int(Data[i]));
     Con<<s<<"  ";
   };
   
   Con<<"  iii = "<<iii;
   if (b==0xec || Data[0]) Con<<"  !!!!!";
   
   if (b!=0xed)
   {
     static DWORD OldT0 = 0;
     DWORD T = GetTickCount();
     Con<<" T="<<double(T-OldT0)/1000;
     OldT0 = T;
   };

   Con<<"\n";

 } while(true);
 */

 m_pPort = &m_Port;

 m_Combo1.ResetContent();
 m_Combo1.AddString(" ");
 FOR (int i=1; i<=16; i++)
 {
   CString s;
   s.Format("COM%d", i);
   m_Combo1.AddString(s);
 };

 m_PortSelect = AfxGetApp()->GetProfileInt("Options", "m_PortSelect", 0);
 m_Combo1.SetCurSel(m_PortSelect);
	OpenPort();


 m_VentStat = -1;
 if (m_VentStat == 0) SetDlgItemText(IDC_BUTTON_VENT, "t1>t2");
 else
 if (m_VentStat == 1) SetDlgItemText(IDC_BUTTON_VENT, "t1<t2");
 else  SetDlgItemText(IDC_BUTTON_VENT, "");

 SetTimer(4, 100, NULL);

 m_ErrorCount = 0;

 SYSTEMTIME st;
 GetLocalTime(&st);
 
 CString Name; 
 Name.Format("c:\\Vent_%04d_%02d_%02d__%02d_%02d_%02d.txt", st.wYear, st.wMonth, st.wDay, st.wHour, st.wMinute, st.wSecond);
 m_pF = fopen(Name, "w");
 if (!m_pF)
 {
   ::MessageBox(NULL, CString(",     \n")+Name+"\n      ", "", MB_OK | MB_ICONWARNING);
   m_pF = fopen("nul", "w"); 
 };

 m_TxAdd = true;
 SetDlgItemText(IDC_EDIT3, " ");
 
 
 SetWindowText(CString("     - ")+Name);
 
 if (0)
 {
   CString name = "c:\\Vent_2008_03_11__13_16_54.txt";
   FILE *pF = fopen(name, "r");
   if (!pF) return TRUE;
   FBuf_Sz = 0;
   while (!feof(pF))
   {
     double t1, t2;
     int n = fscanf(pF, "%lf %lf", &t1, &t2);
     if (n!=2) break;
     char s[4096];
     fgets(s, sizeof(s), pF);
     FBuf[FBuf_Sz] = t1;
     DBuf[FBuf_Sz] = t2;
     FBuf_Sz++;             
   };
   fclose(pF);
 };

 
 
 return TRUE;

 ZeroMemory(m_PakBuf, sizeof(m_PakBuf));
 m_PakBuf_Pos = 0;
 m_PakBuf_Size = 0;
 m_NNNNN = 0;

 
 m_Stat = 0;
 //SetTimer(1, 25, NULL);

 SetTimer(3, 1, NULL);
	
 SetTimer(2, 1000, NULL);

 BYTE Buf[8192];
 int RdSz;
 m_pPort->WaitData(Buf, sizeof(Buf), RdSz, 20);
 
 FILETIME ft;
 GetSystemTimeAsFileTime(&ft);
 
 //CString Name; 
 //Name.Format("c:\\C_Rele5_Rep_%08x_%08x.txt", ft.dwHighDateTime, ft.dwLowDateTime);
 //m_pF = fopen(Name, "w");
 
 
 return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
};

void CC_Rele_Dlg::OnTimer(UINT nIDEvent) 
{
	 if (nIDEvent == 4)
  {
    static int iii = 0; iii++;
    if (iii==20)
    {
      SetDlgItemText(IDC_EDIT_T1, "");
      SetDlgItemText(IDC_EDIT_T2, "");    
      CString sss;
      sss.Format("   (  %d )", m_Port.GetByteCount());
      m_Edit1.SetWindowText(sss);

    };

    LLLL_LLLL:

    BYTE b;
    int RdSz = 0;
    m_pPort->WaitData(&b, 1, RdSz, 0);
    if (RdSz<1) return;
    //if (b!=0xcd) Con<<(void *)b<<"\n";
    if (b!=0xcd) goto LLLL_LLLL;
   
    /*
    BYTE bbb;
    m_pPort->WaitData(&bbb, sizeof(bbb), RdSz, 10);
    if (RdSz != sizeof(bbb)) return;
    //Con<<"bbb = "<<(void *)bbb<<"\n";
    if (bbb == 0xec)
    {
       BYTE Data[7];
       RdSz = 0;
       m_pPort->WaitData(Data, sizeof(Data), RdSz, 10);
       if (RdSz != sizeof(Data)) return;
       Con<<"CMD  ";
       for (int i=0; i<7; i++)
       {
          CString s;
          s.Format("%02x   ", Data[i]);
          Con<<s;
       };
       Con<<"\n";
       return;
    }; */

    BYTE Data[8];
    RdSz = 0;
    m_pPort->WaitData(Data, sizeof(Data), RdSz, 10);
    if (RdSz != sizeof(Data)) return;
   
    iii = 0;

    //if (Data[0] || Data[3]) return;
    
    double t =  double(*(short int *)(Data+1))/256;
    double tt = double(*(short int *)(Data+4))/256;
    
    {
      CString sss;
      sss.Format("%0.2f", t);
      if (Data[0]) sss = "Err";
      SetDlgItemText(IDC_EDIT_T1, sss);
      sss.Format("%0.2f", tt);
      if (Data[3]) sss = "Err";
      SetDlgItemText(IDC_EDIT_T2, sss);      
    };


    CString sss;
    if (Data[6] & 0x80) 
    {
      sss+=": ";
      if (Data[6] & 1)  sss+="On"; else sss+="Off";    
    }
    else
    {
      sss+=" ";      
    };
    
    if (sss.GetLength()>0) sss+=",   ";
    sss+="Cmp: ";
    {
      if (!(Data[7] & 0x1))  sss+="t1>t2 (On)"; else sss+="t1<t2 (Off)";    
    };

    if (sss.GetLength()>0) sss+=",   ";
    sss+=": ";
    {
      if (Data[7] & 0x20)  sss+="On"; else sss+="Off";    
    };
    
    if (sss.GetLength()>0) sss+=",   ";
    sss+=": ";
    {
      if (!(Data[7] & 0x10))  sss+="On"; else sss+="Off";    
    };
    
    m_Edit1.SetWindowText(sss);

    //Con<<"Cfg = "<<(void *)TM_GetConfig()<<"\n";

    //return;
    /*
    TM_Select(1);
    static double ttt = 0,ttt2 = 0;      
    if (0 && TM_GetConfig() & 0x80)
    {
      ttt = TM_GetTSuper(ttt2);

      CString sss;
      sss.Format("%0.2f  ", ttt);
      m_Edit1.SetWindowText(sss);
      //Con<<"ttt = "<<ttt<<"\n";
    };
    
    static double t,t2;
    static double tt,tt2;
    */

    if (Data[0] || Data[3]) return;


    if ((m_VentStat==0 && t>tt) || (m_VentStat==1 && t<tt))
    {
      Beep(3000, 50);
    };
    
    static int OldErrorCount = 0;
    if (OldErrorCount != m_ErrorCount)
    {
       OldErrorCount = m_ErrorCount;
       CString sss;
       sss.Format("%d  ", m_ErrorCount);
       m_Edit2.SetWindowText(sss);    
    };

    /*
    TM_Select(0);
    if (!(TM_GetConfig() & 0x80)) return;  
    TM_Select(2);
    if (!(TM_GetConfig() & 0x80)) return;  
    
    //int t = TM_ReadTCode();
    //Con<<"t = "<<double(t)/256<<"\n";
    TM_Select(0);
    t = TM_GetTSuper(t2);
    
    TM_Select(2);
    tt = TM_GetTSuper(tt2);
    */              

    Con<<"t="<<t<<" tt="<<tt<<"\n";
    
    if (m_TxAdd)
    {
      CString s;
      GetDlgItemText(IDC_EDIT3, s);
      m_TxAdd = false;
      SetDlgItemText(IDC_EDIT3, "");
      fprintf(m_pF, "%f \t%f \t%s\n", t,tt, (const char *) s);
    }
    else    
      fprintf(m_pF, "%f \t%f\n", t,tt);
    
    fflush(m_pF);

    FBuf[FBuf_Sz] = t;
    DBuf[FBuf_Sz] = tt;
    FBuf_Sz++;
    
    static int iiii = 0; iiii++;
    if (iiii>4)
    {
      InvalidateRect(NULL, TRUE);
      iiii = 0;
    };
  };

  return;
  
  
  if (nIDEvent == 3)
  {
    do 
    {
      BYTE B;
      int RdSz;
      m_pPort->ReadData(&B, sizeof(B), RdSz);
      if (RdSz != sizeof(B)) return;
      if (B!=0xcd) continue;

      m_pPort->WaitData(&B, sizeof(B), RdSz, 10);
      if (RdSz != sizeof(B)) return;      
      if (B!=0xde) continue;

      m_pPort->WaitData(&B, sizeof(B), RdSz, 10);
      if (RdSz != sizeof(B)) return;
      BYTE NNNNN = B;

      DWORD T0;
      m_pPort->WaitData((BYTE *)&T0, sizeof(T0), RdSz, 20);
      if (RdSz != sizeof(T0)) return;
      
      DWORD S;
      m_pPort->WaitData((BYTE *)&S, sizeof(S), RdSz, 20);
      if (RdSz != sizeof(S)) return;
                                
      DWORD N;
      m_pPort->WaitData((BYTE *)&N, sizeof(N), RdSz, 20);
      if (RdSz != sizeof(N)) return;
      
      /*
      DWORD T1;
      m_pPort->WaitData((BYTE *)&T1, sizeof(T1), RdSz, 20);
      if (RdSz != sizeof(T1)) return;

      DWORD ST;
      m_pPort->WaitData((BYTE *)&ST, sizeof(ST), RdSz, 20);
      if (RdSz != sizeof(ST)) return; */

      DWORD SS;
      m_pPort->WaitData((BYTE *)&SS, sizeof(SS), RdSz, 20);
      if (RdSz != sizeof(SS)) return;

      if (SS != 0x00ff55aa) return;

      TPak Pak;
      Pak.T0 = T0;
      Pak.S = S;
      Pak.N = N+1;
      Pak.NNNNN = NNNNN;

      if (BYTE(m_NNNNN+1) != NNNNN)
      {
        m_NNNNN = NNNNN;
        m_PakBuf_Size = 0;
        return;
      };
      m_NNNNN = NNNNN;
        
      AddPak(Pak);

      m_PakBuf_Size++;
      if (m_PakBuf_Size<4) return;


      //Con<<"T0="<<T0<<" T1="<<T1<<" ST="<<ST; 
      //Con<<"  P1="<<(void *)P1<<" P2="<<(void *)P2;
      //Con<<"\n";

      //DWORD Rate = 0;
      //{
      //  static DWORD TTT0 = 0;
      //  DWORD TTT = GetTickCount();
      //  Rate = TTT-TTT0; TTT0 = TTT;
      //};  

      Con<<"T0="<<T0<<"  S="<<S<<" N="<<N<<"  Bite="<<int(NNNNN)<<" f="<<CPU_FM2()<<"\n"; //"  Rate="<<Rate<<"\n";
      
      m_V = Pak;

      if (10)
      {
        double FM = CPU_FM(); //double(P1)/65536/65536;
        double FMF = CPU_FM2(); //0; //FM; //double(P2)/65536/65536;
        AddToStat(FM, FMF);
        CString s;
        s.Format("%f ", FMF);
        m_Edit1.SetWindowText(s);
        return;      
      }; 

    } while(true);    
    return;
  };
  
  if (nIDEvent == 2)
  {
    InvalidateRect(NULL, TRUE);
    return;
  };

  return;

  if (1)
  {
    /*if (m_Stat == 0) 
    {
      F_StartNew(); 
      m_Stat = 1;
      return;
    }; */

    if (1 || m_Stat == 1) 
    {
      //F_Stop();
      double FM = F_GetFM();
      //double FM2 = F_GetFM();
      //if (FM>=0 && FM<1e12 && FM2 != FM)
      //{
      //  Con<<"!!!!!!!!!!   !  FM="<<FM<<"  FM2="<<FM2<<"\n";
      //};
      
      if (FM>=0 && FM<1e12)
      {
        AddToStat(FM, 0);
        CString s;
        s.Format("%f ", FM);
        m_Edit1.SetWindowText(s);
        F_StartNew(); 
        m_Stat = 1;
        return;      
      };
      m_Stat = 2;
      return;
    };

    /*double FM = F_GetFM();
    double FM2 = F_GetFM();
    if (FM>=0 && FM<1e12 && FM2 != FM)
    {
      Con<<"!!!!!!!!!!   !  FM="<<FM<<"  FM2="<<FM2<<"\n";
    };
    if (FM>=0 && FM<1e12)
    {
      AddToStat(FM);
      CString s;
      s.Format("%f ", FM);
      m_Edit1.SetWindowText(s);
      F_StartNew(); 
      m_Stat = 1;
      return;      
    };
    
    m_Stat = 0;  
    return; */
  };
  
  BYTE B = 0x14;
  m_pPort->WriteData(&B, sizeof(B));  

  /*
  int RdSz;

  DWORD V1;
  m_pPort->WaitData((BYTE *)&V1, sizeof(V1), RdSz, 10);

  if (RdSz == sizeof(V1))
  {
     CString s;
     s.Format("%u 0x%x", V1, V1);
     m_Edit1.SetWindowText(s);
  }; */

	 B = 0x15;
  m_pPort->WriteData(&B, sizeof(B));  

  /*
  DWORD V2;
  m_pPort->WaitData((BYTE *)&V2, sizeof(V2), RdSz, 10);

  if (RdSz == sizeof(V2))
  {
     CString s;
     s.Format("%u 0x%x", V2, V2);
     m_Edit2.SetWindowText(s);
  }; */

  CDialog::OnTimer(nIDEvent);
};


bool CC_Rele_Dlg::F_StartNew()
{
  BYTE B = 0x10;
  m_pPort->WriteData(&B, sizeof(B));  
  int RdSz;
  BYTE R = 0;
  m_pPort->WaitData(&R, sizeof(R), RdSz, 20);
  if (RdSz != sizeof(R) || R != 0x1d)
  {
    Con<<"CC_Rele_Dlg::F_StartNew() -    reset\n";
    return false;
  };

  B = 0x11;
  m_pPort->WriteData(&B, sizeof(B));  

  m_pPort->WaitData(&R, sizeof(R), RdSz, 20);
  if (RdSz != sizeof(R) || R != 0x2d)
  {
    Con<<"RdSz = "<<RdSz<<"\n";
    Con<<"R = "<<(void *)R<<"\n";
    Con<<"CC_Rele_Dlg::F_StartNew() -    start\n";
    return false;
  };

  return true;
};

bool CC_Rele_Dlg::F_Stop()
{
  BYTE B = 0x12;
  m_pPort->WriteData(&B, sizeof(B));  
  int RdSz;
  BYTE R;
  m_pPort->WaitData(&R, sizeof(R), RdSz, 20);
  if (RdSz != sizeof(R) || R != 0x3d)
  {
    Con<<"CC_Rele_Dlg::F_Stop() -    stop\n";
    return false;
  };          
  return true;
};



double CC_Rele_Dlg::F_GetFM()
{
  return 10000;

  BYTE B = 0x13;
  m_pPort->WriteData(&B, sizeof(B));  
  
  int RdSz;
  BYTE R;
  m_pPort->WaitData(&R, sizeof(R), RdSz, 20);
  if (RdSz != sizeof(R) || (R != 0x0 && R != 0x1))
  {
    Con<<"CC_Rele_Dlg::F_GetFM() -    IsEnd\n";
    return -1e100;
  };
  //Con<<"IsEnd = "<<int(R)<<"\n";
  if (R != 1) return 1e100;

  B = 0x14;
  m_pPort->WriteData(&B, sizeof(B));  

  DWORD V1;
  m_pPort->WaitData((BYTE *)&V1, sizeof(V1), RdSz, 30);
  if (RdSz != sizeof(V1))
  {
    Con<<"CC_Rele_Dlg::F_GetFM() -    GetTmr0\n";
    return -1.1e100;
  }; 
  m_V1 = V1;

	 B = 0x15;
  m_pPort->WriteData(&B, sizeof(B));  
  
  DWORD V2;
  m_pPort->WaitData((BYTE *)&V2, sizeof(V2), RdSz, 30);
  if (RdSz != sizeof(V2))
  {
     Con<<"CC_Rele_Dlg::F_GetFM() -    GetTmr1\n";
     return -1.2e100;
  }; 

  DWORD V3;
  m_pPort->WaitData((BYTE *)&V3, sizeof(V3), RdSz, 30);
  if (RdSz != sizeof(V3))
  {
     Con<<"CC_Rele_Dlg::F_GetFM() -    GetTmr1 V3\n";
     return -1.3e100;
  }; 
  
  F_Stop();
  /*B = 0x12;
  m_pPort->WriteData(&B, sizeof(B));   */

  m_V2 = V2-V3;

  Con<<"V1="<<V1<<" V2="<<V2<<" V3="<<V3<<" dV="<<V2-V3<<" f="<<double(V1+1)*16/(4e-7*m_V2)<<"\n";

  return double(V1+1)*16/(4e-7*m_V2);
};

void CC_Rele_Dlg::OnButton5() 
{
  FBuf_Sz = 0;
  return;

  BYTE B = 0x18;
  m_pPort->WriteData(&B, sizeof(B));  
  return;

  m_N = 0;
  m_S = 0;
  m_D = 0;
  FBuf_Sz = 0;
  InvalidateRect(NULL, TRUE);

  //ZeroMemory(LBuf, sizeof(LBuf));
  //LBufPos = 0;
  //LBufS = 0;
};

void CC_Rele_Dlg::AddToStat(double FM, double FMF)
{
  FBuf[FBuf_Sz] = FM;
  //double DFM = FM - LBufS / LBufSz;
  double DFM = FM - FMF;
  DBuf[FBuf_Sz] = FMF; //DFM;

  //Con<<"FM="<<FM<<" D="<<FM - LBufS / LBufSz<<"\n";

  FBuf_Sz++;

  //fprintf(m_pF, "%0.9f %0.9f %u %u\n", FM, DFM, m_V1, m_V2);
  
  fprintf(m_pF, "%0.9f %0.9f %u %u %u %u\n", FM, FMF, m_V.T0, m_V.S, m_V.N, m_V.NNNNN);
  

  /*
  LBufS -= LBuf[LBufPos];
  LBuf[LBufPos] = FM;
  LBufS += FM;
  LBufPos++;
  if (LBufPos>=LBufSz) LBufPos = 0;

  if (DFM>0)
  {
    for (int i=0; i<LBufSz; i++)  LBuf[i] = FM;
    LBufS = FM*LBufSz;
  }; */

  m_N++;
  m_S += DFM;
  m_D += DFM*DFM;

  /*if (DFM<POROG)
  {
    SetWindowText(" ");
    waveOutSetVolume((HWAVEOUT)WAVE_MAPPER,MAKELONG(0xffff, 0xffff));				
  }
  else
  {
    SetWindowText("  - 1");
    waveOutSetVolume((HWAVEOUT)WAVE_MAPPER,MAKELONG(0x0, 0x0));				
  }; */

};

void CC_Rele_Dlg::OnDestroy() 
{
	CDialog::OnDestroy();
	//fclose(m_pF);
};

void CC_Rele_Dlg::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	HDC hDC = dc.m_hDC;

 int NNN = GetDlgItemInt(IDC_EDIT_TIME);
 if (NNN<10) NNN = 1000000000;
 
 const int N = FBuf_Sz;

 int Start = N - NNN;
 if (Start<0) Start = 0;

 double Min = 1e100;
 double Max = -1e100;
 for (int i=Start; i<N; i++) 
 {
   if (Min>FBuf[i]) Min=FBuf[i];
   if (Max<FBuf[i]) Max=FBuf[i];
   if (Min>DBuf[i]) Min=DBuf[i];
   if (Max<DBuf[i]) Max=DBuf[i];
 };

 CString str;
 str.Format(" %0.2f  %0.2f", Min, Max);
 SetDlgItemText(IDC_EDIT_RANGE, str);
 
 /*double s = m_S / m_N;
 double d = m_D / m_N;

 d -= s*s;
 d = sqrt(d);

 CString str;
 str.Format("%0.5f - %0.5f  3= %f ", Min, Max, d*3);
 
 m_Edit2.SetWindowText(str); */

 RECT R;
 GetClientRect(&R);
 const int CY = R.bottom - m_Y0;
 const int CX = R.right;

 if (0)
 {
   for (int i=0; i<N/2; i++)
   {
     FBuf[i] = 10;
   };

   double OldT = 0;
   double a = 0.5;
   FOR (int i=N/2; i<N; i++)
   {
     OldT = (1-a)*40 + a*OldT;
     FBuf[i] = OldT;
     //Con<<"i="<<i<<" T="<<OldT<<"\n";
   };


 };
 
 
 
 const double a = 0.98;
 double OldT = 0;

 FOR (int i=Start; i<N; i++) 
 {
    double t1 = FBuf[i];
    //t1 = (t1-OldT)/(1-pow(a, 10));
    //OldT = (1-a)*t1*pow(a, 10) + a*OldT;
    //Con<<"i="<<i<<" OldT = "<<OldT<<"  t1="<<t1<<"\n";

    int x = (i-Start)*CX/(N-Start);    
    int y = R.bottom-2 - CY*(t1-Min)/(Max-Min);
    if (i==Start) MoveToEx(hDC, x, y, NULL);
    LineTo(hDC, x, y);
 };

 HPEN Pen = CreatePen(PS_SOLID, 1, RGB(255, 255, 0));
 HGDIOBJ OldPen = SelectObject(hDC, Pen);

 FOR (int i=Start; i<N; i++) 
 {
    double t1 = DBuf[i];
    //t1 = (t1-OldT)/(1-pow(a, 10));
    //OldT = (1-a)*t1*pow(a, 10) + a*OldT;
    
    int x = (i-Start)*CX/(N-Start);
    //int y = R.bottom/2 - (CY/2-4)*(DBuf[i]-Min)/(Max-Min);
    int y = R.bottom-2 - CY*(t1-Min)/(Max-Min);
    if (y>=R.bottom-1) y=R.bottom-1;
    if (y<0) y=0;
    if (i==Start) MoveToEx(hDC, x, y, NULL);
    LineTo(hDC, x, y);
 };

 SelectObject(hDC, OldPen);
 DeleteObject(Pen);

 return;

 if (0)
 {
 HPEN Pen = CreatePen(PS_SOLID, 1, RGB(0, 255, 255));
 HGDIOBJ OldPen = SelectObject(hDC, Pen);

 FOR (int i=0; i<2; i++) 
 {
    int x = i*CX;
    int y = R.bottom/2 - (CY/2-4)*(POROG)/(Max-Min);
    if (y>=R.bottom-1) y=R.bottom-1;
    if (y<0) y=0;
    if (i==0) MoveToEx(hDC, x, y, NULL);
    LineTo(hDC, x, y);
 };

 SelectObject(hDC, OldPen);
 DeleteObject(Pen);
 };
};

void CC_Rele_Dlg::OnButton6() 
{
  BYTE B = 0x14;
  m_pPort->WriteData(&B, sizeof(B));  

  InvalidateRect(NULL, TRUE);
}

void CC_Rele_Dlg::OnButton7() 
{
  F_GetFM();
}

void CC_Rele_Dlg::AddPak(const TPak &Pak)
{
  m_PakBuf[m_PakBuf_Pos] = Pak;
  m_PakBuf_Pos++;
  if (m_PakBuf_Pos>=1024) m_PakBuf_Pos=0;
};

TPak CC_Rele_Dlg::GetPack(int i) const
{
  int Pos = m_PakBuf_Pos-1+i;
  while (Pos<0) Pos+=1024;
  return m_PakBuf[Pos];
};

double CC_Rele_Dlg::CPU_FM() const
{
  DWORD T1 = GetPack(0).T0;
  DWORD T0 = GetPack(-3).T0;

  DWORD dT = T1 - T0;

  DWORD N = GetPack(-1).N + GetPack(-2).N + GetPack(-3).N;

  return double(N)/dT*2500000;
};

double CC_Rele_Dlg::CPU_FM2() const
{
  DWORD idT = GetPack(-1).T0 - GetPack(-3).T0;
  double pt2 = double(GetPack(-1).S)/GetPack(-1).N;
  double pt1 = double(GetPack(-3).S)/GetPack(-3).N;
  double dT = idT + pt2-pt1;
  return (0.5*GetPack(-1).N+GetPack(-2).N+0.5*GetPack(-3).N)/dT*2500000;
};

int CC_Rele_Dlg::TM_ReadTCode()
{
  BYTE B[] = {0x12, 0xAA};
  m_pPort->WriteData(B, sizeof(B));    
  int RdSz = 0;
  m_pPort->WaitData(B, 2, RdSz, 100);
  if (RdSz != 2) 
  {
    m_ErrorCount++;
    m_IsError = true;
    //AfxMessageBox("CC_Rele_Dlg::TM_ReadTCode() -  !");
  };
  return int(B[0])*256 + B[1] + ((B[0] & 0x80) ? 0xffff0000 : 0);
};

void CC_Rele_Dlg::TM_SetConfig(BYTE Code)
{
  BYTE B[] = {0x2, 0xAC, Code};
  m_pPort->WriteData(B, sizeof(B));    
  int RdSz = 0;
  m_pPort->WaitData(B, 1, RdSz, 100);
  //Con<<"Rdsz="<<RdSz<<"\n";
  if (RdSz != 1 || B[0]!=0xd) 
  {
    m_ErrorCount++;
    m_IsError = true;
    //AfxMessageBox("CC_Rele_Dlg::TM_SetConfig() -  !");  
  };
};

void CC_Rele_Dlg::TM_StartConvert()
{
  BYTE B[] = {0x1, 0xEE};
  m_pPort->WriteData(B, sizeof(B));    
  int RdSz = 0;
  m_pPort->WaitData(B, 1, RdSz, 100);
  if (RdSz != 1 || B[0]!=0xd) 
  {
    m_ErrorCount++;
    m_IsError = true;
    //AfxMessageBox("CC_Rele_Dlg::TM_StartConvert() -  !");  
  };
};

void CC_Rele_Dlg::TM_StopConvert()
{
  BYTE B[] = {0x1, 0x22};
  m_pPort->WriteData(B, sizeof(B));    
  int RdSz = 0;
  m_pPort->WaitData(B, 1, RdSz, 100);
  if (RdSz != 1 || B[0]!=0xd) 
  {
    m_ErrorCount++;
    m_IsError = true;
    //AfxMessageBox("CC_Rele_Dlg::TM_StopConvert() -  !");  
  };
};

BYTE CC_Rele_Dlg::TM_GetConfig()
{
  BYTE B[] = {0x11, 0xAC};
  m_pPort->WriteData(B, sizeof(B));    
  int RdSz = 0;
  static BYTE B2[1];
  m_pPort->WaitData(B2, 1, RdSz, 100);
  if (RdSz != 1) 
  {
    m_ErrorCount++;
    m_IsError = true;
    //AfxMessageBox("CC_Rele_Dlg::TM_GetConfig() -  !");  
  };
  return B2[0];
};

int CC_Rele_Dlg::TM_ReadCounter()
{
  BYTE B[] = {0x11, 0xA8};
  m_pPort->WriteData(B, sizeof(B));    
  int RdSz = 0;
  m_pPort->WaitData(B, 1, RdSz, 100);
  if (RdSz != 1) 
  {
    m_ErrorCount++;
    m_IsError = true;
    //AfxMessageBox("CC_Rele_Dlg::GetCounter() -  !");  
  };
  return B[0];
};

int CC_Rele_Dlg::TM_ReadSlope()
{
  BYTE B[] = {0x11, 0xA9};
  m_pPort->WriteData(B, sizeof(B));    
  int RdSz = 0;
  m_pPort->WaitData(B, 1, RdSz, 100);
  if (RdSz != 1) 
  {
    m_ErrorCount++;
    m_IsError = true;    
    //AfxMessageBox("CC_Rele_Dlg::TM_ReadSlope() -  !");  
  };
  return B[0];
};

double CC_Rele_Dlg::TM_GetTSuper(double &t2)
{
  int iii = 0;

  int it = TM_ReadTCode();
  int Counter = TM_ReadCounter();
  int Slope = TM_ReadSlope();
  
  int it2 = TM_ReadTCode();
  int Counter2 = TM_ReadCounter();
  int Slope2 = TM_ReadSlope();

LLL_REP:
  
  m_IsError = false;

  int it3 = TM_ReadTCode();
  int Counter3 = TM_ReadCounter();
  int Slope3 = TM_ReadSlope();
  
  if (m_IsError ||
      it!=it2 || it2!=it3 ||
      Counter!=Counter2 || Counter2!=Counter3 ||
      Slope!=Slope2 || Slope2!=Slope3)
  {
     it = it2; 
     Counter = Counter2;
     Slope = Slope2;
     it2 = it3; 
     Counter2 = Counter3;
     Slope2 = Slope3;
     iii++;
     if (iii>100) AfxMessageBox("    !!!");
     else goto LLL_REP;
  };

  t2 = double(it)/256;
  
  m_IsError = false;
  for (iii=0; iii<5; iii++)
  {
    TM_StartConvert();
    if (!m_IsError) break;
  };
  Con<<"it = "<<double(it)/256<<"  Slope="<<Slope<<"  Counter="<<Counter<<"\n";
  return (it>>8) - 0.25 + double(Slope-Counter)/Slope;
};

void CC_Rele_Dlg::TM_Select(int i)
{
  {
    BYTE B[] = {0x80+i};
    m_pPort->WriteData(B, sizeof(B));  
  };                    
};

void CC_Rele_Dlg::OnSize(UINT nType, int cx, int cy) 
{
	CDialog::OnSize(nType, cx, cy);
	InvalidateRect(NULL, TRUE);
};

void CC_Rele_Dlg::OnButton8() 
{
  m_TxAdd = true;
};

void CC_Rele_Dlg::OnButtonVent() 
{
	 m_VentStat++;
  if (m_VentStat>1 || m_VentStat<-1) m_VentStat = -1;
  if (m_VentStat == 0) SetDlgItemText(IDC_BUTTON_VENT, "t1>t2");
  else
  if (m_VentStat == 1) SetDlgItemText(IDC_BUTTON_VENT, "t1<t2");
  else  SetDlgItemText(IDC_BUTTON_VENT, "");
};


void CC_Rele_Dlg::OnSelendokCombo1() 
{
  m_PortSelect = m_Combo1.GetCurSel();	
  AfxGetApp()->WriteProfileInt("Options", "m_PortSelect", m_PortSelect);
  OpenPort();
};
